Subject: [PATCH] serial: samsung: fix device name

From: [email-masked] (Joonyoung Shim)
Date: Wed, 01 Sep 2010 11:46:34 +0900

On 2010-09-01 ?? 10:46, Kukjin Kim wrote:
> Darius Augulis wrote:
>>
>> Hi Kukjin,
>>
> Hi ;-)
>
>> please pick up this one to your tree too.
>>
>
> As I still thinking, this should be handled by Ben Dooks.
>
> And please refer to below Ben's comments about this.
>

I am really wondering your opinion about this fix. Why should handle 
only by Ben? This is obvious bug fix if you think so, you can handle it too.

>> Thanks,
>>
>> Darius.
>>
>> On 08/06/2010 10:23 AM, Kukjin Kim wrote:
>>> Joonyoung Shim wrote:
>>>>
>>>> On 8/6/2010 3:47 PM, Paulius Zaleckas wrote:
>>>>> On 08/06/2010 03:04 AM, Kyungmin Park wrote:
>>>>>> Hi,
>>>>>>
>>>>>> It's already posted by Mr. Shim
>>>>>> http://marc.info/?l=linux-arm-kernel&m=127410047306149&w=2
>>>>>
>>>>> Darius patch is a little bit cleaner.
>>>>>
>>>>
>>>> OK, it's better.
>>>>
>>>> Acked-by: Joonyoung Shim<[email-masked]>
>>>>
>>>
>>> Hi all,
>>>
>>> I think, this should be handled by Ben Dooks....
>>> As Kyungmin Park said, there was his comment about this.
>>>
>>> This is just for your information....
>>>
>>> ===
>>>
>>> On Tue, May 18, 2010 at 12:52:13PM +0900, Joonyoung Shim wrote:
>>>> On 5/18/2010 11:48 AM, Ben Dooks wrote:
>>>>> On Mon, May 17, 2010 at 09:46:50PM +0900, Joonyoung Shim wrote:
>>>>>> Thd dev_name and driver_name should be switched each other.
>>>>>
>>>>> Hmm, this doesn't seem to have appeard on the linux-arm-kernel list
> yet.
>>>>>
>>>>> Please provide some information about what problem that this is fixing
>>>>> and the impact on any existing systems.
>>>>>
>>>>
>>>> The serial device nodes are created to s3c2410_serial* on android
>>>> platform instead of ttySAC*.
>>>
>>> This has been how they've been for ages, surely the android device node
>>> creation sytstem supports symlinking /dev/SACx ->   /dev/s3c2410_serialx,
>>> like many other operating sysyerms that can already do this.
>>>
>>> Changing this just because android (something as-yet unmerged into
> mainline)
>>> does not like it. I'm not even happy with an #ifdef around this.
>>>
>>> If you really feel this is a problem that you absolutely must fix in
> kernel
>>> then please provide a kernel commandline option to change the serial
> driver
>>> name and use that on any platform that needs it. Another way would be to
>>> update the serial platform data to have a field for which name to
> choose.
>>>
>
>
> Thanks.
>
> Best regards,
> Kgene.
> --
> Kukjin Kim<[email-masked]>, Senior Engineer,
> SW Solution Development Team, Samsung Electronics Co., Ltd.
>
>
> _______________________________________________
> linux-arm-kernel mailing list
> linux-arm-kernel at lists.infradead.org
> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel
>